<template>
	<view>
		<!-- 添加成员 -->
		<examine-people title="添加成员" :list="remindPeople" @delItem="delItem"></examine-people>
		
		<view class="staffli">
			<view class="statext">权限</view>
			<picker @change="changePre" :range="preArr" :value="preIndex">
				<view class="liright">
					{{preArr[preIndex]?preArr[preIndex]:'请选择'}}
					<view class="iconfont icon-you"></view>
				</view>
			</picker>
		</view>
		
		<view class="button" @click="$noMultipleClicks(sureSub)">确定</view>
		
	</view>
</template>

<script>
	
	export default{
		data() {
			return{
				noClick:true,    //防止  重复点击
				id:'',
				type:'',
				preArr:['只读','读写'],
				preIndex:0
			}
		},
		onLoad(options) {
			this.id = options.id
		},
		onShow() {
		},
		methods:{
			changePre(e) {
				this.preIndex = e.detail.value
			},
			sureSub() {
				if(this.remindPeople.length == 0) {
					uni.showToast({
						title:'请选择成员',
						icon:'none'
					})
					return
				}
				let arr = []
				this.remindPeople.forEach(ele=>{
					arr.push(ele.id)
				})
				let params = {
					id:this.id,
					staff_id:arr.join(','),
					is_edit:this.preIndex
				}
				
			},
		}
	}
</script>

<style lang="scss" scoped>
	.staffli{
		display: flex;
		justify-content: space-between;
		align-items: center;
		padding:24rpx 35rpx;
		border-top:1rpx solid #f5f5f5;
		border-bottom:1rpx solid #f5f5f5;
		.statext{
			font-size:26rpx;
			color:#666;
		}
		.liright{
			display: flex;
			justify-content: flex-end;
			align-items: center;
			font-size:26rpx;
			color:#666;
			.icon-you{
				font-size:28rpx;
			}
		}
	}
</style>
